Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DbXML version 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.dbxml
Class XmlQueryExpression

    java.lang.Object
      com.sleepycat.dbxml.XmlQueryExpression

public class XmlQueryExpression
extends Object

An XmlQueryExpression represents a parsed XPath expression, and is created by a call to the `XmlContainer.parseXPathExpression` method. Parsed XPath expressions are useful because they allow the cost of query parsing and optimization to be amortized over many evaluations.

The copy constructor and assignment operator are provided for this class. The class is implemented using a handle-body idiom. When a handle is copied both handles maintain a reference to the same body.

Constructor Summary
`XmlQueryExpression(XmlContainer arg0, XmlQueryContext arg1)`

Method Summary
`void` | `delete()`
`XmlContainer` | `getContainer()`
`XmlQueryContext` | `getQueryContext()`
`String` | `getXPathQuery()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlQueryExpression

    public XmlQueryExpression(XmlContainer arg0,
                              XmlQueryContext arg1)
                       throws XmlException

Method Detail

### delete

    public void delete()

### getQueryContext

    public XmlQueryContext getQueryContext()
                                    throws XmlException

  Throws:
    `XmlException`

### getContainer

    public XmlContainer getContainer()
                              throws XmlException

  Throws:
    `XmlException`

### getXPathQuery

    public String getXPathQuery()
                         throws XmlException

  Returns:
    The XmlQueryExpression.getXPathQuery method returns the XPath query as a string.
  Throws:
    `XmlException`

Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DbXML version 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.